<?php
  include('include/god.php');
  $pagetitle = $eigo ? 'Cart' : 'カート';
?>
<?php require_once('include/header.php'); ?>

<?php
  $items = [];
  $total = 0;
  $cart = array_filter(explode(',', getcookie('cart')));

  $sql = mysqli_connect(DB_HOST, DB_USER, DB_PASS, DB_NAME);
  if (mysqli_connect_errno()) {
    printf("Connect failed: %s\n", mysqli_connect_error());
    exit();
  }

  foreach ($cart as $c) {
    if ($stmt = mysqli_prepare($sql, 'SELECT name, slug, language, author, price, filename FROM item WHERE slug = ?')) {
      mysqli_stmt_bind_param($stmt, 's', $c);
      mysqli_stmt_execute($stmt);
      mysqli_stmt_bind_result($stmt, $name, $slug, $language, $author, $price, $filename);
      mysqli_stmt_fetch($stmt);
      mysqli_stmt_close($stmt);

      $booklang = $language == 'en' ? ($eigo ? 'English' : '英語') : ($eigo ? 'Japanese' : '日本語');

      if (!isset($items[$c])) $items[$c] = [
        'name' => $name,
        'slug' => $slug,
        'language' => $booklang,
        'author' => $author,
        'price' => $price,
        'filename' => $filename,
        'count' => 1
      ];
      else $items[$c]['count']++;
    }
  }

  mysqli_close($sql);
?>

<table class="cart">
  <tbody>
<?php foreach ($items as $v) { ?>
    <tr>
      <?php $fname = null !== $v['filename'] ? $v['filename'] : 'nowprinting.png'; ?>
      <td><img src="/img/<?php echo $fname; ?>" alt="<?php echo $fname; ?>" style="width: 60px;" /></td>
      <td style="width: 60%;">
        <div class="cart-title"><?php echo $v['name']; ?></div>
        <div class="cart-author"><?php echo $v['author']; ?></div>
        <div class="cart-language"><?php echo $v['language']; ?></div>
      </td>
      <td>
      </td>
      <td>
        <form action="/cart.php" method="post">
          <input type="hidden" name="item" value="<?php echo $v['slug']; ?>" />
          <input type="submit" name="cart-minus" value="-" /> <?php echo $v['count']; ?> <input type="submit" name="cart-plus" value="+" />
        </form>
      </td>
      <td><div class="cart-price"><img src="/static/monero.png" alt="XMR" /> <?php echo $v['price']; ?></div></td>
    </tr>
<?php $total += ($v['price'] * $v['count']); ?>
<?php } ?>
    <tr class="cart-total">
      <td colspan="4"><?php echo $eigo ? 'Total' : '合計'; ?></td>
      <td><img src="/static/monero.png" alt="XMR" /> <?php echo $total; ?></td>
    </tr>
  </tbody>
</table>

<form action="/shipping.php" method="post">
  <input type="submit" name="toshipping" value="<?php echo $eigo ? 'To shipping information' : '配送情報へ' ?>" />
</form>

<?php require_once('include/footer.php'); ?>
